Setup

Prerequisites

In order to use Fable you will need the following tools:

  • .NET Core SDK which is needed to be able to work with F# files and F# dependencies
  • Node.js, which is need to execute JS code
  • NPM which is a JS package dependencies managers

Development tools

Basically you will need any editor that let you code in F# and JavaScript. But of course you will want features like hints on hover, autocomplete, syntax highlighting and so on...

So in order to get started with your next Fable project we have several great free solutions for you:

Next step

> Start your project